Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1519078 - Add logging for version number to help track code changes
Summary: Add logging for version number to help track code changes
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-provider-ovn
Classification: oVirt
Component: provider
Version: unspecified
Hardware: Unspecified
OS: Unspecified
high
low
Target Milestone: ovirt-4.2.1
: ---
Assignee: Marcin Mirecki
QA Contact: Mor
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-30 05:05 UTC by Mor
Modified: 2018-02-12 11:47 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
When the provider service is started, the detailed version will be displayed in the log file (/var/log/ovirt-provider-ovn.log). An example of the version information in the log file 2018-01-21 10:35:59,239 Starting server 2018-01-21 10:35:59,240 Version: 1.2.5-1 2018-01-21 10:35:59,240 Build date: 20180117155637 2018-01-21 10:35:59,241 Githash: 12b705d
Clone Of:
Environment:
Last Closed: 2018-02-12 11:47:12 UTC
oVirt Team: Network
rule-engine: ovirt-4.2+
ylavi: planning_ack+
rule-engine: devel_ack+
myakove: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 84721 None None None 2017-11-30 10:36:03 UTC

Description Mor 2017-11-30 05:05:19 UTC
Description of problem:
During initialization of ovirt-provider-ovn and ovirt-provider-ovn-driver, we should log current version. This will help us track code changes when we work on bugs (especially old ones).

Version-Release number of selected component (if applicable):
ovirt-provider-ovn-1.2-0.20171026134055.git942c2ca.el7ev.noarch
ovirt-provider-ovn-driver-1.2-0.20171026134055.git942c2ca.el7ev.noarch

Actual results:
No version number is logged.

Expected results:
Should be logged.

Additional info:

Comment 1 Dan Kenigsberg 2017-12-03 14:59:41 UTC
It's an (important) bug, not a real customer-facing feature.

Comment 2 Marcin Mirecki 2018-01-03 11:59:01 UTC
Fixed in  1.2.3

Comment 3 Mor 2018-01-04 05:43:28 UTC
Version 1.2.2-1 already contains the logs:
018-01-03 09:34:10,117   Starting server
2018-01-03 09:34:10,117   Version: 1.2.2-1
2018-01-03 09:34:10,117   Build date: 20171212155302
2018-01-03 09:34:10,117   Githash: c2d4257
Can I verify it on this version?

Comment 4 Mor 2018-01-04 10:08:56 UTC
Verified on provider version: 1.2.2-1

Comment 5 Sandro Bonazzola 2018-02-12 11:47:12 UTC
This bugzilla is included in oVirt 4.2.1 release, published on Feb 12th 2018.

Since the problem described in this bug report should be
resolved in oVirt 4.2.1 release, it has been closed with a resolution of CURRENT RELEASE.

If the solution does not work for you, please open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.